
# $Id: makefile.conf,v 1.13 2004/03/19 09:39:25 obry Exp $
#
# This makefile includes all variables used to configure AWS. You can update
# variables here and should not have do change the main makefile.

##############################################################################
# GNAT Version used to build AWS. Note that this is only to select the right
# compiler options as some were not present on 3.15 but are on 3.16. By
# setting this to 3.15 by default only a set of checks is not done but this
# will not in any way removes some AWS features. Developpers MUST properly set
# this to have full style checks on before doing a check-in.
#
GNAT_VERSION = 3.15

##############################################################################
# Adasockets, optional. AWS use GNAT.Sockets as the default socket package. If
# you want to use AdaSockets just uncomment the ADASOCKETS variable below and
# set it to point to the AdaSockets install directory.
#
#ADASOCKETS = /opt/adasockets

##############################################################################
# XMLADA optional, needed if you want to build SOAP's AWS support. In this
# case uncomment XMLADA variable and set it to point to the XMLADA install
# directory.
#
#XMLADA	 = /opt/xmlada

##############################################################################
# ASIS optional, needed if you want to build ada2wsdl tool. This tool can be
# used to create a WSDL document from an Ada spec.
#
#ASIS	 = /opt/GNATPRO/lib/asis

##############################################################################
# POSIX optional, needed if you want to build AWS using the POSIX version of
# AWS.OS_Lib.
#
#POSIX	 = /opt/POSIX

##############################################################################
# AWS support SSL (Secure Socket Layer). The SSL support is always built-in
# AWS. To build AWS's demos will SSL support you need to set MODE to ssl, in
# this case you must have installed OpenSSL on you computer. OpenSSL libraries
# are distributed on Windows platforms therefore the SSL mode is the default
# on this platform.
# MODE = [ssl/std]
#
ifeq (${OS}, Windows_NT)
MODE=ssl
else
MODE=std
endif

##############################################################################
# AWS provide a binding to the LDAP API. This binding will use the standard
# LDAP DLL provided with Windows OS. On GNU/Linux you need to install OpenLDAP
# if it is not already installed. If LDAP is installed on your system you can
# set LDAP=1 below.
ifeq (${OS}, Windows_NT)
LDAP=1
else
LDAP=0
endif

##############################################################################
# To activate the debug mode just uncomment the variable below. This will
# build AWS with debug information and will output more build information.
#
#DEBUG	= 1

##############################################################################
# To run regression tests with GDB, uncomment the line below.
#
#GDB_REGTESTS = 1

##############################################################################
# AWS will be installed under $(INSTALL)/AWS. Update this variable to point to
# the install directory.
INSTALL	 = $(HOME)

##############################################################################
# Tools used by AWS
AR 		  = ar
GREP		  = grep
SED	 	  = sed
DIFF	 	  = diff
GZIP	 	  = gzip
TAR	 	  = tar
GNATMAKE	  = gnatmake
GNATMAKE_FOR_HOST = gnatmake
WINDRES	 	  = windres
DLLTOOL	 	  = dlltool
DLL2DEF		  = dll2def
RM	 	  = rm
MKDIR	 	  = mkdir
CP	 	  = cp
MV	 	  = mv
CHMOD	 	  = chmod
